libgd was not built with FreeType font support

Discussion in 'OS X Mountain Lion (10.8)' started by guest-iosasms, Jan 21, 2013.

  1. macrumors newbie

    Jan 21, 2013
    Hi there,

    I'm trying to get gnuplot running properly on 10.8, but when running I get the error message

    libgd was not built with FreeType font support

    Could someone point out what the problem could be? I've seen some solutions for Snow Leopard; I've tried that as well, but it didn't work. Quite a lot has changed under the hood from 10.6 to 10.8.

  2. tomlawton, Dec 4, 2013
    Last edited: Dec 4, 2013

    macrumors newbie

    Apr 19, 2012
    Me too- and maybe a fix!

    I have (maybe, soon, had) this problem. I used homebrew to install gnuplot, and libgd must have come as a dependency. I just ran "brew info libgd" and it listed amongst its options... "--with-freetype".
    So, I'm just about to "brew install libgd --with-freetype" and hopefully that'll fix this.
    Once I've installed the latest Xcode...!

    Xcode all installed.. And... IT WORKED!

    (I did have to uninstall libgd first, then re-install --with-freetype)

Share This Page